<?php
/**
 * All settings related to sports banner post.
 *
 * @package Sportsx
 */
$wp_customize->add_section(
	'cat_highlight_post',
	array(
		'title' => esc_html__( 'Highlight Post Section', 'sportsx' ),
		'panel' => 'front_page_theme_options_panel',
	)
);

$wp_customize->add_setting(
    'sportsx_options[enable_cat_highlight_section]',
    array(
        'default'           => $sportsx_default['enable_cat_highlight_section'],
        'sanitize_callback' => 'sportsx_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'sportsx_options[enable_cat_highlight_section]',
    array(
        'label'       => esc_html__( 'Enable Highlight Category', 'sportsx' ),
        'section'     => 'cat_highlight_post',
        'type'        => 'checkbox',
    )
);



$wp_customize->add_setting(
    'sportsx_section_seperator_cat_highlight_column_1',
    array(
        'default'           => '',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field'
    )
);

$wp_customize->add_control(
    new Sportsx_Seperator_Control(
        $wp_customize,
        'sportsx_section_seperator_cat_highlight_column_1',
        array(
            'label'         => esc_html__( 'Highlight Category Slider', 'sportsx' ),
            'settings' => 'sportsx_section_seperator_cat_highlight_column_1',
            'section' => 'cat_highlight_post',
        )
    )
);

$wp_customize->add_setting(
    'sportsx_options[cat_highlight_post_title]',
    array(
        'default'           => $sportsx_default['cat_highlight_post_title'],
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control(
    'sportsx_options[cat_highlight_post_title]',
    array(
        'label'    => __( 'Section Title', 'sportsx' ),
        'section'  => 'cat_highlight_post',
        'type'     => 'text',
    )
);


$wp_customize->add_setting(
    'sportsx_options[cat_highlight_post_category]',
    array(
        'default'           => $sportsx_default['cat_highlight_post_category'],
        'sanitize_callback' => 'absint',
    )
);
$wp_customize->add_control(
    new Sportsx_Dropdown_Taxonomies_Control(
        $wp_customize,
        'sportsx_options[cat_highlight_post_category]',
        array(
            'label'           => __( 'Choose Post Category', 'sportsx' ),
            'description'     => __( 'Leave Empty if you don\'t want the posts to be category specific', 'sportsx' ),
            'section'         => 'cat_highlight_post',
        )
    )
);


$wp_customize->add_setting(
    'sportsx_section_seperator_slider_banner',
    array(
        'default'           => '',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field'
    )
);

$wp_customize->add_control(
    new Sportsx_Seperator_Control(
        $wp_customize,
        'sportsx_section_seperator_slider_banner',
        array(
            'label'         => esc_html__( 'Highlight Category Section Meta', 'sportsx' ),
            'settings' => 'sportsx_section_seperator_slider_banner',
            'section' => 'cat_highlight_post',
        )
    )
);


$wp_customize->add_setting(
    'sportsx_options[enable_cat_highlight_author_meta]',
    array(
        'default' => $sportsx_default['enable_cat_highlight_author_meta'],
        'sanitize_callback' => 'sportsx_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'sportsx_options[enable_cat_highlight_author_meta]',
    array(
        'label' => esc_html__('Display Author Meta', 'sportsx'),
        'section' => 'cat_highlight_post',
        'type' => 'checkbox',
    )
);
$wp_customize->add_setting(
    'sportsx_options[select_cat_highlight_author_meta]',
    array(
        'default' => $sportsx_default['select_cat_highlight_author_meta'],
        'sanitize_callback' => 'sportsx_sanitize_select',
    )
);
$wp_customize->add_control(
    'sportsx_options[select_cat_highlight_author_meta]',
    array(
        'label' => esc_html__('Select Author Meta', 'sportsx'),
        'section' => 'cat_highlight_post',
        'type' => 'select',
        'choices' => sportsx_author_meta(),
    )
);
$wp_customize->add_setting(
    'sportsx_options[cat_highlight_author_meta_title]',
    array(
        'default' => $sportsx_default['cat_highlight_author_meta_title'],
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control(
    'sportsx_options[cat_highlight_author_meta_title]',
    array(
        'label' => __('Author Meta Text', 'sportsx'),
        'section' => 'cat_highlight_post',
        'type' => 'text',
    )
);
$wp_customize->add_setting(
    'sportsx_options[enable_cat_highlight_date_meta]',
    array(
        'default' => $sportsx_default['enable_cat_highlight_date_meta'],
        'sanitize_callback' => 'sportsx_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'sportsx_options[enable_cat_highlight_date_meta]',
    array(
        'label' => esc_html__('Display Published Date', 'sportsx'),
        'section' => 'cat_highlight_post',
        'type' => 'checkbox',
    )
);
$wp_customize->add_setting(
    'sportsx_options[select_cat_highlight_date]',
    array(
        'default' => $sportsx_default['select_cat_highlight_date'],
        'sanitize_callback' => 'sportsx_sanitize_select',
    )
);
$wp_customize->add_control(
    'sportsx_options[select_cat_highlight_date]',
    array(
        'label' => esc_html__('Select Single Date Meta', 'sportsx'),
        'section' => 'cat_highlight_post',
        'type' => 'select',
        'choices' => sportsx_date_meta(),
    )
);
$wp_customize->add_setting(
    'sportsx_options[select_cat_highlight_date_meta_title]',
    array(
        'default' => $sportsx_default['select_cat_highlight_date_meta_title'],
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control(
    'sportsx_options[select_cat_highlight_date_meta_title]',
    array(
        'label' => __('Date Text', 'sportsx'),
        'section' => 'cat_highlight_post',
        'type' => 'text',
    )
);
$wp_customize->add_setting(
    'sportsx_options[select_cat_highlight_date_format]',
    array(
        'default' => $sportsx_default['select_cat_highlight_date_format'],
        'sanitize_callback' => 'sportsx_sanitize_select',
    )
);
$wp_customize->add_control(
    'sportsx_options[select_cat_highlight_date_format]',
    array(
        'label' => esc_html__('Select Date Format', 'sportsx'),
        'section' => 'cat_highlight_post',
        'type' => 'select',
        'choices' => sportsx_get_date_formats(),
    )
);
$wp_customize->add_setting(
    'sportsx_options[enable_cat_highlight_category_meta]',
    array(
        'default' => $sportsx_default['enable_cat_highlight_category_meta'],
        'sanitize_callback' => 'sportsx_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'sportsx_options[enable_cat_highlight_category_meta]',
    array(
        'label' => esc_html__('Enable Category Meta', 'sportsx'),
        'section' => 'cat_highlight_post',
        'type' => 'checkbox',
    )
);
$wp_customize->add_setting(
    'sportsx_options[select_cat_highlight_number_of_category]',
    array(
        'default' => $sportsx_default['select_cat_highlight_number_of_category'],
        'sanitize_callback' => 'absint',
    )
);
$wp_customize->add_control(
    'sportsx_options[select_cat_highlight_number_of_category]',
    array(
        'label' => __('Number of Category', 'sportsx'),
        'section' => 'cat_highlight_post',
        'type' => 'number',
    )
);
$wp_customize->add_setting(
    'sportsx_options[cat_highlight_category_label]',
    array(
        'default' => $sportsx_default['cat_highlight_category_label'],
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control(
    'sportsx_options[cat_highlight_category_label]',
    array(
        'label' => __('Category Label', 'sportsx'),
        'section' => 'cat_highlight_post',
        'type' => 'text',
    )
);

$wp_customize->add_setting(
    'sportsx_options[select_cat_highlight_category_color]',
    array(
        'default' => $sportsx_default['select_cat_highlight_category_color'],
        'sanitize_callback' => 'sportsx_sanitize_select',
    )
);
$wp_customize->add_control(
    'sportsx_options[select_cat_highlight_category_color]',
    array(
        'label' => esc_html__('Select Category Color', 'sportsx'),
        'section' => 'cat_highlight_post',
        'type' => 'select',
        'choices' => sportsx_category_color(),
    )
);